Skip site navigation (1) Skip section navigation (2)

Re: Confusion over Python drivers {license}

From: Jeff Davis <pgsql(at)j-davis(dot)com>
To: Federico Di Gregorio <fog(at)initd(dot)org>
Cc: pgsql-hackers(at)postgresql(dot)org
Subject: Re: Confusion over Python drivers {license}
Date: 2010-02-12 22:40:00
Message-ID: 1266014400.17112.147.camel@monkey-cat.sm.truviso.com (view raw or flat)
Thread:
Lists: pgsql-hackers
On Fri, 2010-02-12 at 10:38 +0100, Federico Di Gregorio wrote:
> On 12/02/2010 01:00, Jeff Davis wrote:
> > * I tried installing psycopg2-2.0.13 and the build system apparently
> > doesn't support python3.1, so I assume that psycopg2 doesn't support
> > python3 at all.
> 
> python3 was almost completely supported some months ago but then I had
> to fix some bugs and almost 99% of psycopg users are still with python2
> so the python2 branch is in a better shape. But most of the work is done
> so, after the next release, I'll start porting changes to the python3
> branch ("master" on git) and finish the work.

Ok, sounds great.

Do you attempt to handle the encoding issues when working with python3?
I'd be interested to see your approach, because I didn't get much
feedback on the doc I wrote.

Regards,
	Jeff Davis


In response to

pgsql-hackers by date

Next:From: Tim BunceDate: 2010-02-12 23:10:15
Subject: PostgreSQL::PLPerl::Call - Simple interface for calling SQL functions from PostgreSQL PL/Perl
Previous:From: Tom LaneDate: 2010-02-12 22:39:22
Subject: Re: WITH ... VALUES

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group